### Class

# Foundry DebuggerThreadGroup

#### Description [src]

    abstract class Foundry.DebuggerThreadGroup : GObject.Object
    {
      /* No available fields */
    }

Represents a group of threads.

#### Ancestors

- GObject

#### Instance methods

###### foundry_debugger_thread_group_dup_id

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DebuggerThreadGroup:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerThreadGroupClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryDebuggerThreadGroup* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryDebuggerThreadGroup* self )`

  No description available.

#### Virtual methods

###### Foundry.DebuggerThreadGroupClass.dup_id

No description available.